/**
*ldapserver App
* There are different ways implementing an App
*/
var ldapserverApp = ldapserverApp || {};  //Define App namespace, if you want.
/**
*Constructor UNAS App
*/
ldapserverApp.App = function () {
    this.id = 'LDAP Server';
    this.name = 'LDAP Server';
    this.version = '6.0.11';
    this.active = false;
    this.menuIcon = '/apps/ldapserver/images/logo.png?v=6.0.11&';
    this.shortcutIcon = '/apps/ldapserver/images/logo.png?v=6.0.11&';
	this.entryUrl = '/apps/ldapserver/ldapauthentication_ldap_basic.html?v=6.0.11&';
	//this.entryHelpUrl = '/apps/ldapserver/ldapauthentication_help.html?v=6.0.11&';
    var self = this;
    this.ldapserverAppWindow = function () { //create app window
		if(UNAS.CheckAppState('LDAP Server')){
    		return false;
    	}
        self.window=new MUI.Window({
            id: 'ldapserverAppWindow',
            title: UNAS._('LDAP Server'),
			icon: '/apps/ldapserver/images/logo_small.png?v=6.0.11&',
            loadMethod: 'xhr',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [600, 800], 'y': [400, 500] },
            contentURL: '/apps/ldapserver/ldapauthentication_ldap_basic.html?v=6.0.11&',
			require: {  css: ['/apps/ldapserver/css/ldapauthentication.css'] },
			onBeforeBuild: function(){UNAS.SetAppOpenedWindow("LDAP Server",'ldapserverAppWindow')}
        });
    };
	this.ldapserverAppUninstall = function (){
    	UNAS.RemoveDesktopShortcut('LDAP Server');
    	UNAS.RemoveMenu('LDAP Server');
    	UNAS.RemoveAppFromGroups('LDAP Server', 'ControlPanel');
    	UNAS.RemoveAppFromGroups('LDAP Server', 'Help');
    	UNAS.RemoveAppFromApps('LDAP Server');
    }
    new UNAS.Menu('UNAS_ControlPanel_Universal_Menu', this.name, this.menuIcon, 'LDAP Server', '', this.ldapserverAppWindow);
	//new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'LDAP Server', this.ldapserverAppWindow);
	new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Universal', 'Location' : 2, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
	new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Universal', 'Location' : 2, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
	var OnChangeLanguage = function (e) {
		UNAS.SetMenuTitle('LDAP Server', UNAS._('LDAP Server')); //translate menu
        //UNAS.SetShortcutTitle('LDAP Server', UNAS._('LDAP Server')); //translate shortcut
        if (typeof self.window !== 'undefined') {
            //need to translate the window title, menu and shortcut
            UNAS.SetWindowTitle('ldapserverAppWindow', UNAS._('LDAP Server'));
        }
    }
	UNAS.LoadTranslation('/apps/ldapserver/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
	UNAS.CreateApp(this.name,this.shortcutIcon,this.ldapserverAppWindow,this.ldapserverAppUninstall);
};
new ldapserverApp.App(); //Create app
